suck (4.3.5-5) unstable; urgency=medium

  * QA upload.
  * Remove usage of apt-cache for obsolete use case

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 30 Apr 2025 20:49:53 +0200

suck (4.3.5-4) unstable; urgency=medium

  * QA upload.
  * Rules-Requires-Root: binary-targets.

 -- Santiago Vila <sanvila@debian.org>  Sat, 07 Dec 2024 20:40:00 +0100

suck (4.3.5-3) unstable; urgency=medium

  * QA upload.
  * Drop build-dependency on quilt, not really needed. Closes: #1084506.

 -- Santiago Vila <sanvila@debian.org>  Fri, 18 Oct 2024 12:40:00 +0200

suck (4.3.5-2) unstable; urgency=medium

  * QA upload.
  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Use wrap-and-sort -at for debian control files.
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Don't specify --with=quilt, since package uses '3.0 (quilt)' source format.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Added required build dependency quilt (Closes: #1084506).
  * Added 1020-man-typo-hostname.patch to avoid invalid man page notation.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 18 Oct 2024 08:47:50 +0200

suck (4.3.5-1) unstable; urgency=medium

  * New upstream release (Closes: #1082286)
  * Package orphaned and set maintainer to Debian QA Group
  * Set Standards-Version to 4.7.0 (No changes).
  * Remove dh-autoreconf from Build-Depends now added by debhelper.

 -- Christian Marillat <marillat@debian.org>  Fri, 20 Sep 2024 15:13:39 +0200

suck (4.3.4-1) unstable; urgency=medium

  * New upstream release.
  * Must built with --no-parallel, otherwise phrases.h is generated and the
    build fail.

 -- Christian Marillat <marillat@debian.org>  Fri, 14 Sep 2018 14:51:30 +0200

suck (4.3.3-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Wed, 01 Nov 2017 09:52:10 +0100

suck (4.3.2-15) unstable; urgency=medium

  * Fix bashism in put.news  (Closes: #772373)

 -- Christian Marillat <marillat@debian.org>  Mon, 11 May 2015 14:54:22 +0200

suck (4.3.2-14) unstable; urgency=medium

  * Rebuild against inn2 2.5.4 to remove warning in log file
    (Closes: #758428)

 -- Christian Marillat <marillat@debian.org>  Sun, 17 Aug 2014 18:09:27 +0200

suck (4.3.2-13) unstable; urgency=low

  * Don't call dh with '--with quilt' and remove quilt from Build-Depends.

 -- Christian Marillat <marillat@debian.org>  Thu, 13 Jun 2013 15:16:40 +0200

suck (4.3.2-12) unstable; urgency=low

  * Restore a lost patch 04_suck_confif to fix various paths
    (Closes: #704920).

 -- Christian Marillat <marillat@debian.org>  Sun, 26 May 2013 11:04:19 +0200

suck (4.3.2-11) unstable; urgency=low

  * Add support for IPv6 (Thanks to Thomas Rachel for the patch).
  * Move to debhelper 9 for hardening flags.

 -- Christian Marillat <marillat@debian.org>  Sun, 24 Jun 2012 11:19:03 +0200

suck (4.3.2-10) unstable; urgency=low

  * Add a su directive in the logrotate file (Closes: #651272)

 -- Christian Marillat <marillat@debian.org>  Wed, 07 Dec 2011 11:41:37 +0100

suck (4.3.2-9) unstable; urgency=low

  * debian/copyright remove references to sucknews.org as this domain name
    has nothing to do with suck (Closes: #617597).

 -- Christian Marillat <marillat@debian.org>  Fri, 18 Mar 2011 07:43:37 +0100

suck (4.3.2-8) unstable; urgency=low

  * Removed deprecated -H{C,I,O} options (Closes: #612258).

 -- Christian Marillat <marillat@debian.org>  Fri, 18 Feb 2011 15:51:11 +0100

suck (4.3.2-7) unstable; urgency=low

  * debian/control add quilt in Build-Depends. New patch 01_rpost-ssl to add
    ssl support to rpost (Closes: #501343).
  * Added libperl-dev in Build-depends.
  * Fix typo in get-news rpostopts --> rpostoptions (Closes: #605272).
  * Fix read file configuration with number (Closes: #410372).

 -- Christian Marillat <marillat@debian.org>  Mon, 29 Nov 2010 16:52:15 +0100

suck (4.3.2-6) testing-proposed-updates; urgency=low

  * Upload to testing-proposed-updates because this package has been removed
    in march before my ITA. Now the package is clean.

 -- Christian Marillat <marillat@debian.org>  Sun, 26 Oct 2008 19:23:39 +0100

suck (4.3.2-6) unstable; urgency=low

  * New maintainer (Closes: #494620)
  * Quote CFLAGS in make call (Closes: #476056)
  * Remove libperl-dev from Build-Depends because the configure script
    doesn't find libperl. This better than enabling libperl because for now
    suck is working (Closes: #463152)
  * Call perl with -w in get-news (Closes: #460608)
  * debian/NEWS.Debian rename file in NEWS and fix bad date format.
  * Moves to Policy 3.8.0
     o Removed debian/conffiles

 -- Christian Marillat <marillat@debian.org>  Sat, 16 Aug 2008 09:28:08 +0200

suck (4.3.2-5) unstable; urgency=low

  * fix rpostoptions in get-news (Closes: #363321)
  * fix return-code checking with inn in get-news (Closes: #312375)
  * fix a vs an in package description (Closes: #300064)
  * standards version 3.7.2
  * remove unused templates (Closes: #286065)

 -- Blars Blarson <blarson@blars.org>  Sat, 13 May 2006 10:38:48 -0700

suck (4.3.2-4) unstable; urgency=low

  * fix userid bug in getnews (Closes: #264177)
  * remove obsolete debconf templates (Closes: #234763)
  * build-conflict libsocksd-dev

 -- Blars Blarson <blarson@blars.org>  Mon,  9 Aug 2004 04:29:19 -0700

suck (4.3.2-3) unstable; urgency=low

  * Fix path of innctl in get-news so posting works properly from inn
  * Patches from upstream development
    - better handle no such article errors (Closes: #197781)

 -- Blars Blarson <blarson@blars.org>  Sun, 26 Oct 2003 09:44:35 -0800

suck (4.3.2-2) unstable; urgency=low

  * Rewrite article-posting code in get-news.  Previous version was
    totally non-functional.  (closes: #208831)
  * Allow quiet, verbose, and timestamp to be set in config file.
    (closes: #212775)
  * Ignore suck returning 1 (no articles fetched) in get-news.
    (closes: #207540)
  * Split NEWS.Debian into NEWS.Debian and README.Debian.
  * Policy version 3.6.1 (no changes)

 -- Blars Blarson <blarson@blars.org>  Sun, 12 Oct 2003 13:12:13 -0700

suck (4.3.2-1) unstable; urgency=low

  * new upstream release -- incorporates many Debian changes
  * total rewrite of get-news
    - Now supports non-inn2 local servers like cnews
    - in perl, so recommend perl
    - fixes broken config parsing (Closes: #162166, #191268)
    - should be faster (fewer forks, only read config once)
    - timestamp option (Closes: #172426)
    - revise get-news man page, actually include it (Closes: #198087)
    - write errors to stderr (Closes: #198088)
    - display error if suck has problem (closes #151392)
  * Update to Debian policy 3.6.0 (no changes)
  * Build-depend on inn-dev 2.4, so we get the current libraries
    - Suck should still work with older inn2 with -HO option
  * /etc/suck/get-news.conf is now a conffile
    - no longer copy from /usr/share/doc (against policy)
    - no longer using debconf
  * only change ownership/permissions of get-news.conf if upgrading from
    before 4.3.1-1
  * Rename README.Debian to NEWS.Debian

 -- Blars Blarson <blarson@blars.org>  Wed, 9 Jul 2003 20:01:00 -0800

suck (4.3.1-4) unstable; urgency=low

  * convert from dh_installmanpages to dh_installman
  * ssl fix from Uns Lider (Closes: #142794)
  * make sure to compile with -lssl (Closes: #173282)
  * Fix FTBFS with new inn2-dev (no more inn/configdata.h)
  * Rewrite to allow runtime history database format selection.
    Add libdbz subdir with modified cnews libdbz.
    See README.Debian. (Closes: #137437, #161048)
  * remove conflict with inn (see above)
  * build-depend on libperl-dev so perl processing is enabled
    (Closes: #172908)
  * Handle SIGINT so database not corrupted (Closes: #145150)
  * remove build-depend on libsocks4 so socks support is disabled.
  * Update to Debian policy 3.5.9 (no changes)
  * minor cleanup for compiler warnings

 -- Blars Blarson <blarson@blars.org>  Sat, 22 Mar 2003 19:54:14 -0800

suck (4.3.1-3) unstable; urgency=low

  * Remember to upload source as well.

 -- Tollef Fog Heen <tfheen@debian.org>  Fri, 13 Dec 2002 19:00:11 +0100

suck (4.3.1-2) unstable; urgency=low

  * Give reasonable error rather than segfault if host not specified
    to rpost (closes #172131)

 -- Blars Blarson <blarson@blars.org>  Fri, 13 Dec 2002 01:23:03 -0800

suck (4.3.1-1) unstable; urgency=medium

  * Fix ownership/permissions on /etc/suck/getnews.conf (closes #172126)
  * Change remote host in getnews.conf only if we just install example
  * New upstream release
  * Adopting (closes #165123)

 -- Blars Blarson <blarson@blars.org>  Mon, 09 Dec 2002 10:49:57 -0800

suck (4.3.0-6) unstable; urgency=low

  * Change exit -1 in get-news and post-news to more sane values.
    (closes: #147560)
  * exit sanely when not being able to open /var/lib/suck/*
    (closes: #151394)
  * Fix typos in get-news, namely rpostopstions is now rpostoptions
    (closes: #161932)
  * Reorganize the parsing in get-news a bit (closes: #157274)

 -- Tollef Fog Heen <tfheen@debian.org>  Mon, 23 Sep 2002 02:37:11 +0200

suck (4.3.0-5) unstable; urgency=low

  * Sigh, forgot to upload source.  Again.

 -- Tollef Fog Heen <tfheen@debian.org>  Mon,  8 Apr 2002 22:48:54 +0200

suck (4.3.0-4) unstable; urgency=low

  * Sigh, forgot to upload source.

 -- Tollef Fog Heen <tfheen@debian.org>  Mon,  8 Apr 2002 21:47:51 +0200

suck (4.3.0-3) unstable; urgency=low

  * moved to main
  * Add documentation from Marcin Kasperski (closes: #139585)
  * Fix debconf templates (closes: #138088)
  * Add support for per-site rpost and suck options and document them in
    the sample get-news.conf.  (Closes: #127321)
  * Apply patch for allowing "new" port notation (closes: #123207)
  * Move local posting before remote posting, and don't die on failed
    postings,  though die at the end.  (closes: 138006)
  * Add French templates (closes: #138808), and split the debconf
    templates to different files.

 -- Tollef Fog Heen <tfheen@debian.org>  Sun,  7 Apr 2002 03:18:32 +0200

suck (4.3.0-2) unstable; urgency=low

  * Hopefully fix segfault. (closes: #111029)
  * Fix SSL option in suck.c (closes: #123206)

 -- Tollef Fog Heen <tfheen@debian.org>  Thu, 13 Dec 2001 17:23:44 +0100

suck (4.3.0-1) unstable; urgency=low

  * New upstream release (closes: #121392)
  * Rebuild with non-broken libsocks4 (closes: #121181)
  * Move to non-us (since this supports SSL)

 -- Tollef Fog Heen <tfheen@debian.org>  Wed, 28 Nov 2001 18:06:30 +0100

suck (4.2.5-17) unstable; urgency=low

  * Second try at eliminating the ugly segfault, now with a modified max
    Message-ID patch applied. (closes: #111029)

 -- Tollef Fog Heen <tfheen@debian.org>  Thu, 11 Oct 2001 13:13:43 +0200

suck (4.2.5-16) unstable; urgency=low

  * Fix segfault by reverting the maximum Message-ID-patch, but bumping
    the maximum length to 512. (closes: #108181)
  * Update builddeps, we use dh_installlogrotate, which means that we need
    debhelper 2.0.103 or newer.
  * Move /var/state/suck to /var/lib/suck (closes: 108228)
  * Fix a few sprintfs to snprintfs.
  * Install samples (closes: 108436)

 -- Tollef Fog Heen <tfheen@debian.org>  Thu,  9 Aug 2001 21:00:26 +0200

suck (4.2.5-15) unstable; urgency=low

  * Remove the maximum Message-ID length and make it arbitrary.  (closes: #107620)

 -- Tollef Fog Heen <tfheen@debian.org>  Fri,  3 Aug 2001 21:21:47 +0200

suck (4.2.5-14) unstable; urgency=low

  * remove -x in put-news
  * Make /etc/news/server a fallback in case we don't have a default news
    server in /etc/suck/get-news.conf. (closes: #98973)
  * add rpostoptions to get-news.conf and support it in get-news.
    (closes: #100341)
  * add spanish template (closes: #102136)

 -- Tollef Fog Heen <tfheen@debian.org>  Wed, 25 Jul 2001 19:31:08 +0200

suck (4.2.5-13) unstable; urgency=low

  * Conflict with inn >> 0.0.0 and inn2 < 2.3.0, this should fix the
    dependency trouble. (closes: #93927)
  * possible to control sucking and posting separately.  (closes: #90593)
  * Make -q -q get-news shut completely up. (closes: #91743)
  * removed call to dh_testversion.

 -- Tollef Fog Heen <tfheen@debian.org>  Tue, 17 Apr 2001 01:39:04 +0200

suck (4.2.5-12) unstable; urgency=low

  * Fix up the conflicts line, actually, we depend on inn2 >> 2.3 now.
  * Fix the permissions of /etc/suck, /var/{spool,log,state}/suck
  * Rebuild with new libsocks4, which fixes the missing dependency on
    libsocks4.

 -- Tollef Fog Heen <tfheen@debian.org>  Thu, 12 Apr 2001 10:37:40 +0200

suck (4.2.5-11) unstable; urgency=low

  * Fixed put-news so that it now works with inn 2.3 storage api (closes:
    #81160), but I also had to fix up chkhistory, so we need to conflict
    with inn2 < 2.3.0 :( .  I'd appreciate if somebody knew a way around
    this, so that we could continue to support inn 1.x and 2.[12].x
  * removed the suidregister call (which wasn't doing anything anyhow).

 -- Tollef Fog Heen <tfheen@debian.org>  Wed, 14 Mar 2001 11:30:14 +0100

suck (4.2.5-10) unstable; urgency=low

  * Fixed the hack which was introduced in the last version, thanks to
    Marco d'Itri.

 -- Tollef Fog Heen <tfheen@debian.org>  Mon, 26 Feb 2001 21:02:00 +0100

suck (4.2.5-9) unstable; urgency=low

  * Added support for multiple password/username combos in
    /etc/suck/get-news.conf
  * export NNTP_USER and NNTP_PASS variables in get-news
  * Add a temporary hack around the fact that rnews in inn and inn2 have
    different command line options.  (closes: #87644)

 -- Tollef Fog Heen <tfheen@debian.org>  Mon, 26 Feb 2001 15:50:55 +0100

suck (4.2.5-8) unstable; urgency=low

  * Clean up old NMU fixed bugs (closes: #61142, #62080, #64387, #67602,
    #67764)
  * Added example ip-up script (closes: #57511)
  * cleaned up get-news somewhat, including logging rpost to errorlog
    instead of stderr.  (closes: #73660)
  * uses rnews instead of innxmit and fix so that the flush is set whether
    we use rnews or innxmit. (closes: #83727)
  * put-news had wandered around.  Moved to it's proper place again
    (closes: #86606)
  * Lots and lots of cleanups in get-news.  Tell me what I've broken. :)

 -- Tollef Fog Heen <tfheen@debian.org>  Sun, 25 Feb 2001 18:54:25 +0100

suck (4.2.5-7) unstable; urgency=low

  * Fixed up so that we use debhelper the proper way and don't touch
    conffiles.  (closes: #86119)
  * Added manpage for put-news.

 -- Tollef Fog Heen <tfheen@debian.org>  Sun, 25 Feb 2001 17:15:02 +0100

suck (4.2.5-6) unstable; urgency=low

  * Added missing put-news.  (closes: #85735)

 -- Tollef Fog Heen <tfheen@debian.org>  Mon, 12 Feb 2001 23:59:09 +0100

suck (4.2.5-5) unstable; urgency=low

  * Duh!  I should have put the previous missing line in postinst, not
    postinst.debhelper.  Mea Culpa, but this shouldn't haven't been
    installed into the archive.  (closes: #85460, #85454)

 -- Tollef Fog Heen <tfheen@debian.org>  Sun, 11 Feb 2001 00:22:05 +0100

suck (4.2.5-4) unstable; urgency=low

  * Fixed a typo in the postinst where the postinst wouldn't run because
    of a missing '#! /bin/sh'.  (closes: #85460, #85454)

 -- Tollef Fog Heen <tfheen@debian.org>  Sat, 10 Feb 2001 23:24:19 +0100

suck (4.2.5-3) unstable; urgency=low

  * Adopted the package (closes: #80492)
  * Use custom options when fetching from all servers (closes: #66608)
  * Make sure the post-download state files exist, using patch in 76752.
    (closes: #76752)
  * Added lmove (closes: #66089)
  * get-news now puts the authentication stuff in the environment - small
    patch for suck.c and rpost.c needed, forwarded upstream. (closes:
    #63917)
  * Changed from yada to debhelper
  * Added some README files which weren't included before.
  * Added Swedish, Norwegian and German translations to the debconf
    template. (closes: #83401, #83485)

 -- Tollef Fog Heen <tfheen@debian.org>  Sun,  4 Feb 2001 22:08:47 +0100

suck (4.2.5-2) unstable; urgency=low

  * Rebuilt with yada 0.9.3.  Closes: Bug#81705.
  * Conforms to Standards version 3.2.1:
    * Added support for the `debug' build option.

 -- Matej Vela <vela@debian.org>  Thu, 11 Jan 2001 00:36:29 +0100

suck (4.2.5-1) unstable; urgency=low

  * New upstream release with pristine sources (closes: #67764)
  * Added note in get-news.conf for inn2 (closes: #62080)
  * Added some new headers in default put-news filter (closes: #67602, #64387)
  * Orphaned the package

 -- Christophe Le Bars <clebars@debian.org>  Mon, 25 Dec 2000 22:30:22 +0100

suck (4.2.2-4) frozen unstable; urgency=low

  * Modified put-news script for compatibility with inn2 (closes: #56758)

 -- Christophe Le Bars <clebars@debian.org>  Fri, 18 Feb 2000 20:42:57 +0100

suck (4.2.2-3) frozen unstable; urgency=low

  * Added Build-Depends field
  * Fixed debconf config (closes: #56220)

 -- Christophe Le Bars <clebars@debian.org>  Thu, 27 Jan 2000 23:33:53 +0100

suck (4.2.2-2) frozen unstable; urgency=low

  * Used better sed command in postinst (closes: #54511)
  * Patched get-news to support new INN 2 /var/spool/news layout
    (Lee Maguire) (closes: #55384)
  * Added debconf support

 -- Christophe Le Bars <clebars@debian.org>  Tue, 25 Jan 2000 00:25:58 +0100

suck (4.2.2-1) unstable; urgency=low

  * New upstream release with pristine sources (closes: #34502, #42286)
  * Converted package management to YADA
  * Partially upgraded to standards version 3.0.0:
     - FHS-compliance, with the notable exception of the
     /usr/doc/ -> /usr/share/doc/ switch.
     - savelog -> logrotate switch.
  * Added a README.Debian (closes: #39169)
  * Compiled with more standard options (closes: #36269)
  * get-news fix : post downloaded articles to local server
    even if upload fail (closes: #34936)

 -- Christophe Le Bars <clebars@debian.org>  Tue,  3 Aug 1999 21:31:25 +0200

suck (3.10.1-3) frozen unstable; urgency=medium

  * Patched get-news to clean batch files (Fixes: Bug#26600)
  * Patched get-news to keep OUTGOING with inn (Fixes: Bug#28228)
  * Moved put-news in /usr/lib/suck

 -- Christophe Le Bars <clebars@debian.org>  Sat,  5 Dec 1998 20:54:24 +0100

suck (3.10.1-2) frozen unstable; urgency=low

  * Fixed a syntax typo in get-news (Fixes: Bug#28099)

 -- Christophe Le Bars <clebars@debian.org>  Sat, 17 Oct 1998 11:49:17 +0200

suck (3.10.1-1) unstable; urgency=low

  * New upstream release with pristine sources (Fixes: Bug#27575)
  * Merged get-news.inn and get-news.cnews
  * Patched get-news to support passing options to suck
    (Davide G. M. Salvetti) (Fixes: Bug#27025)
  * Added cron.weekly /var/log/suck directory test (Fixes: Bug#26054)
  * Patched get-news to add `date` to suck-status (Fixes: Bug#18861)
  * Added X-Server-Date in get-news.conf (Fixes: Bug#24552)
  * Deleted reference to lpost in suck manpage (Fixes: Bug#21735)

 -- Christophe Le Bars <clebars@debian.org>  Wed, 14 Oct 1998 23:29:52 +0200

suck (3.9.0-1) unstable; urgency=low

  * New upstream release with pristine sources

 -- Christophe Le Bars <clebars@debian.org>  Sat,  7 Feb 1998 02:45:00 +0100

suck (3.8.0-2) unstable; urgency=low

  * Modified get-news script to accept -port option (Bug#16358)
    (Mark Baker patch)
  * Fixed libc6 Makefile problem (Bug#14065)

 -- Christophe Le Bars <clebars@debian.org>  Wed, 28 Jan 1998 21:13:17 +0100

suck (3.8.0-1) unstable; urgency=low

  * New upstream release with pristine sources
  * Modified get-news script to accept -q option (Bug#14941)

 -- Christophe Le Bars <clebars@debian.org>  Mon,  8 Dec 1997 00:12:35 +0100

suck (3.6.0-1) unstable; urgency=low

  * New upstream release with pristine sources (Bug#13408)
  * Build with libc6

 -- Christophe Le Bars <clebars@debian.org>  Sat, 27 Sep 1997 23:18:26 +0200

suck (3.5.2-3) unstable; urgency=low

  * Fixed get-news manpage section

 -- Christophe Le Bars <clebars@debian.org>  Mon, 18 Aug 1997 22:47:57 +0200

suck (3.5.2-2) unstable; urgency=low

  * Used debian suck_config.h

 -- Christophe Le Bars <clebars@debian.org>  Sun, 17 Aug 1997 21:56:59 +0200

suck (3.5.2-1) unstable; urgency=low

  * New upstream source
  * Move logs in /var/log/suck (Bug#11055)
  * Added get-news manpage (Bug#11849)
  * Fixed postinst sed problem (Bug#11850)

 -- Christophe Le Bars <clebars@debian.org>  Sun, 17 Aug 1997 19:02:47 +0200

suck (3.5.1-1) unstable; urgency=low

  * New upstream source (Bug#10895)
  * Only suggests news-transport-system (Bug#10549)

 -- Christophe Le Bars <clebars@debian.org>  Sun, 29 Jun 1997 22:36:31 +0200

suck (3.4.1-2) frozen unstable; urgency=medium

  * Fixed put-news script to change only the headers (Bug#9314)
  * Changed default sed command in get-news.conf (Bug#9313)
  * Fixed directory for outgoing newsfeeds in get-news.inn (Bug#9312)
  * Changed timeout value (Bug#8714)

 -- Christophe Le Bars <clebars@debian.org>  Sat, 3 May 1997 22:52:46 +0200

suck (3.4.1-1) frozen unstable; urgency=medium

  * New upstream source (fixes killer bug) (Bug#8453)

 -- Christophe Le Bars <clebars@debian.org>  Sun, 6 Apr 1997 16:31:37 +0200

suck (3.4.0-1) unstable; urgency=low

  * New upstream source
  * Corrected bad rnews path in get-news.cnews script (Bug#7479)
  * Modified put-news script to read the sed command in get-news.conf

 -- Christophe Le Bars <clebars@debian.org>  Sun, 23 Mar 1997 15:15:15 +0100

suck (3.3.2-1) frozen unstable; urgency=low

  * New upstream source (bug fixes only release)

 -- Christophe Le Bars <clebars@debian.org>  Sat, 23 Nov 1996 16:23:16 +0100

suck (3.3.0-1) unstable; urgency=low

  * New upstream source
  * Modified get-news script to accept authinfo options (Brian Mays patch)

 -- Christophe Le Bars <clebars@debian.org>  Sat, 26 Oct 1996 15:42:26 +0200

suck (3.2.1-2) unstable; urgency=routine

  * Fixed /etc/cron.weekly/suck script
  * Fixed history file path (bug#4670)

 -- Christophe Le Bars <clebars@debian.org>  Wed, 2 Oct 1996 21:49:20 +0200

suck (3.2.1-1) unstable; urgency=low

  * Converted package management files to new Debian-1.2 style
  * Added postrm purge call
  * Added weekly logsfiles rotation

 -- Christophe Le Bars <clebars@debian.org>  Mon, 30 Sep 1996 00:53:56 +0200

suck (2.6.3-2); urgency=routine

  * Corrected debian.rules for new naming scheme
  * Modified get-news script to have multiple site feeds
  * Deleted section field in debian.control
  * Support multiple architectures (Bug#3887)
  * Fixed user and group ownership of some files (bug#3828)
  * Corrected bad put-news path in get-news script (Bug#3938)
  * Corrected bad title in /etc/suck/get-news.conf file (Bug#3938)
  * Provided list of the compiled defaults options (Bug#3938)

suck (2.6.3-1); urgency=low

  * Initial release
  * Added Debian Linux package maintenance system files
  * Modified get-news script
